### Method

# RB TransferTarget track_added

#### Declaration [src]

    void
    rb_transfer_target_track_added (
      RBTransferTarget* target,
      RhythmDBEntry* entry,
      const char* uri,
      guint64 filesize,
      const char* media_type
    )

#### Description [src]

This is called when a transfer to the target has completed. If the source’s `track_added` method returns `TRUE`, the destination URI will be added to the database using the entry type for the device.

If the target uses a temporary area as the destination for transfers, it can instead upload the destination file to the device and create an entry for it, then return `FALSE`.

#### Parameters

`entry`

  Type: `RhythmDBEntry`

  The source `RhythmDBEntry` for the transfer.

  The data is owned by the caller of the method.

`uri`

  Type: `const char*`

  The destination URI.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`filesize`

  Type: `guint64`

  Size of the destination file.

`media_type`

  Type: `const char*`

  Media type of the destination file.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.